MacDraft5StyleManagerInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
MacDraft5StyleManagerInternal::State Struct Reference

Internal: the state of a MacDraft5StyleManager. More...

## Public Member Functions
| State ()
| constructor More...
bool | getArrow (int id, MWAWGraphicStyle::Arrow &arrow)
| returns an arrow if possible More...
bool | getColor (int id, MWAWColor &col)
| returns a color if possible More...
bool | getPattern (int id, MWAWGraphicStyle::Pattern &pat)
| returns a pattern if possible More...
bool | getDash (int id, std::vector< float > &dash)
| returns the dash More...
void | initArrows ()
| init the arrow list More...
void | initColors ()
| init the color list More...
void | initPatterns ()
| init the patterns list More...
void | initDashs ()
| init the dashs list More...

## Public Attributes
long | m_dataEnd
| the end of the main data zone More...
long | m_rsrcBegin
| the begin of the rsrc data More...
std::vector< MWAWGraphicStyle::Arrow > | m_arrowList
| the arrow list More...
std::vector< MWAWColor > | m_colorList
| the color list More...
std::vector< MWAWGraphicStyle::Pattern > | m_patternList
| the patterns list More...
std::vector< std::vector< float > > | m_dashList
| the list of dash More...
std::map< long, MWAWEntry > | m_beginToBitmapEntryMap
| a map file position to entry ( used to stored intermediar zones ) More...
std::map< int, std::shared_ptr< Pixmap > > | m_bitmapIdToPixmapMap
| a map bitmapId to pixmap map More...
std::map< int, std::shared_ptr< Pixmap > > | m_pixIdToPixmapMap
| a map pixmapId to pixmap map More...
std::map< int, size_t > | m_pixIdToPatternIdMap
| a map pixmapId to patternId map More...

## Detailed Description

Internal: the state of a MacDraft5StyleManager.

## Constructor & Destructor Documentation

## ◆ State()

MacDraft5StyleManagerInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getArrow()

bool MacDraft5StyleManagerInternal::State::getArrow | ( | int | id,
|  | MWAWGraphicStyle::Arrow & | arrow
| ) |  |
| inline

returns an arrow if possible

## ◆ getColor()

bool MacDraft5StyleManagerInternal::State::getColor | ( | int | id,
|  | MWAWColor & | col
| ) |  |
| inline

returns a color if possible

## ◆ getDash()

bool MacDraft5StyleManagerInternal::State::getDash | ( | int | id,
|  | std::vector< float > & | dash
| ) |  |
| inline

returns the dash

## ◆ getPattern()

bool MacDraft5StyleManagerInternal::State::getPattern | ( | int | id,
|  | MWAWGraphicStyle::Pattern & | pat
| ) |  |
| inline

returns a pattern if possible

## ◆ initArrows()

void MacDraft5StyleManagerInternal::State::initArrows | ( |  | ) |

init the arrow list

Referenced by getArrow().

## ◆ initColors()

void MacDraft5StyleManagerInternal::State::initColors | ( |  | ) |

init the color list

Referenced by getColor().

## ◆ initDashs()

void MacDraft5StyleManagerInternal::State::initDashs | ( |  | ) |

init the dashs list

Referenced by getDash().

## ◆ initPatterns()

void MacDraft5StyleManagerInternal::State::initPatterns | ( |  | ) |

init the patterns list

Referenced by getPattern().

## Member Data Documentation

## ◆ m_arrowList

std::vector<MWAWGraphicStyle::Arrow> MacDraft5StyleManagerInternal::State::m_arrowList

the arrow list

Referenced by getArrow(), and initArrows().

## ◆ m_beginToBitmapEntryMap

std::map<long, MWAWEntry> MacDraft5StyleManagerInternal::State::m_beginToBitmapEntryMap

a map file position to entry ( used to stored intermediar zones )

## ◆ m_bitmapIdToPixmapMap

std::map<int, std::shared_ptr<Pixmap> > MacDraft5StyleManagerInternal::State::m_bitmapIdToPixmapMap

a map bitmapId to pixmap map

## ◆ m_colorList

std::vector<MWAWColor> MacDraft5StyleManagerInternal::State::m_colorList

the color list

Referenced by getColor(), and initColors().

## ◆ m_dashList

std::vector< std::vector<float> > MacDraft5StyleManagerInternal::State::m_dashList

the list of dash

Referenced by getDash(), and initDashs().

## ◆ m_dataEnd

long MacDraft5StyleManagerInternal::State::m_dataEnd

the end of the main data zone

## ◆ m_patternList

std::vector<MWAWGraphicStyle::Pattern> MacDraft5StyleManagerInternal::State::m_patternList

the patterns list

Referenced by getPattern(), and initPatterns().

## ◆ m_pixIdToPatternIdMap

std::map<int, size_t> MacDraft5StyleManagerInternal::State::m_pixIdToPatternIdMap

a map pixmapId to patternId map

## ◆ m_pixIdToPixmapMap

std::map<int, std::shared_ptr<Pixmap> > MacDraft5StyleManagerInternal::State::m_pixIdToPixmapMap

a map pixmapId to pixmap map

## ◆ m_rsrcBegin

long MacDraft5StyleManagerInternal::State::m_rsrcBegin

the begin of the rsrc data

The documentation for this struct was generated from the following file:

- MacDraft5StyleManager.cxx